//
//  SilentPlayerAppDelegate.h
//  SilentPlayer
//
//  Created by Craig Hockenberry on 4/18/11.
//  Copyright 2011 The Iconfactory. All rights reserved.
//

#import <Cocoa/Cocoa.h>

typedef enum {
	PlayerStateStopped = 0,
	PlayerStatePlaying,
	PlayerStatePaused
} PlayerState;

@interface SilentPlayerAppDelegate : NSObject <NSApplicationDelegate> {
@private
	PlayerState playerState;
	NSInteger playerTrack;
	NSInteger playerTimeRemaining;
	NSTimer *playerTimer;

	NSWindow *window;
	
	NSImageView *artworkImageView;
	
	NSTextField *artistTextField;
	NSTextField *trackTextField;
	NSTextField *albumTextField;
	
	NSTextField *timeRemainingLabel;
	NSTextField *timeRemainingTextField;
	
	NSButton *previousButton;
	NSButton *nextButton;
	NSButton *playPauseButton;
}

@property (assign) IBOutlet NSWindow *window;

@property (assign) IBOutlet NSImageView *artworkImageView;

@property (assign) IBOutlet NSTextField *artistTextField;
@property (assign) IBOutlet NSTextField *trackTextField;
@property (assign) IBOutlet NSTextField *albumTextField;

@property (assign) IBOutlet NSTextField *timeRemainingLabel;
@property (assign) IBOutlet NSTextField *timeRemainingTextField;

@property (assign) IBOutlet NSButton *previousButton;
@property (assign) IBOutlet NSButton *nextButton;
@property (assign) IBOutlet NSButton *playPauseButton;

- (IBAction)previousTrack:(id)sender;
- (IBAction)nextTrack:(id)sender;
- (IBAction)playPause:(id)sender;

@end

@interface PauseScriptCommand: NSScriptCommand {	
}
@end

@interface PlayPauseScriptCommand: NSScriptCommand {	
}
@end

@interface NextScriptCommand: NSScriptCommand {
}
@end

@interface PreviousScriptCommand: NSScriptCommand {
}
@end

